Package org.eclipse.net4j.util.concurrent

# Interface IRWOLockManager.LockDeltaHandler<OBJECT,CONTEXT>

Enclosing interface:
  IRWOLockManager<OBJECT,CONTEXT>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface IRWOLockManager.LockDeltaHandler<OBJECT,CONTEXT>

Since:
  3.16
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`handleLockDelta(CONTEXT context, OBJECT object, IRWLockManager.LockType lockType, int oldCount, int newCount)`

## Method Details

### handleLockDelta

void handleLockDelta(CONTEXT context, OBJECT object, IRWLockManager.LockType lockType, int oldCount, int newCount)